openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RSDRI_INFOPROV_READ_RFC:
    post:
      tags:
      - RSDRI
      operationId: /rfc/RSDRI_INFOPROV_READ_RFC
      requestBody:
        content:
          application/json:
            schema:
              properties:
                I_AUTHORITY_CHECK:
                  type: string
                  default: RSDRC_C_AUTHCHK-READ
                  maxLength: 1
                I_CURRENCY_CONVERSION:
                  type: string
                  default: X
                  maxLength: 1
                I_DEBUG:
                  type: string
                  default: RS_C_FALSE
                  maxLength: 1
                I_FILENAME:
                  type: string
                  maxLength: 60
                I_INFOPROV:
                  type: string
                  maxLength: 30
                I_MAXROWS:
                  type: integer
                  format: int32
                  default: 0
                I_READ_ODS_DELTA:
                  type: string
                  default: RS_C_FALSE
                  maxLength: 1
                I_REFERENCE_DATE:
                  type: string
                  format: date
                  default: SY-DATUM
                I_RESULTTYPE:
                  type: string
                  default: ' '
                  maxLength: 1
                I_ROLLUP_ONLY:
                  type: string
                  default: RS_C_TRUE
                  maxLength: 1
                I_SAVE_IN_FILE:
                  type: string
                  default: ' '
                  maxLength: 1
                I_SAVE_IN_TABLE:
                  type: string
                  default: ' '
                  maxLength: 1
                I_S_RFCMODE:
                  type: object
                  properties:
                    ID:
                      type: string
                      maxLength: 10
                      description: Logical identifier
                    RFC_RECEIVER:
                      type: string
                      maxLength: 30
                      description: Received RFC-capable ABAP function name
                    PACKAGESIZE:
                      type: integer
                      format: int32
                      description: Package Size
                I_TABLENAME:
                  type: string
                  maxLength: 30
                I_USE_AGGREGATES:
                  type: string
                  default: RS_C_TRUE
                  maxLength: 1
                I_USE_DB_AGGREGATION:
                  type: string
                  default: RS_C_TRUE
                  maxLength: 1
                E_T_FIELD:
                  type: array
                  items:
                    type: object
                    properties:
                      FIELDPOS:
                        type: integer
                        format: int32
                        description: 'DM API: Position'
                      FIELDNAME:
                        type: string
                        maxLength: 30
                        description: 'DM API: Table column / field name'
                      FIELDTYPE:
                        type: string
                        maxLength: 1
                        description: 'DM API: Field data type'
                      FIELDLENGTH:
                        type: integer
                        format: int32
                        description: 'DM API: Field length'
                E_T_RFCDATA:
                  type: array
                  items:
                    type: object
                    properties:
                      CONT:
                        type: string
                        maxLength: 1
                        description: 'Data element for domain BOOLE: TRUE (=''X'') and FALSE (='' '')'
                      LINE:
                        type: string
                        maxLength: 255
                        description: Char255
                E_T_RFCDATAV:
                  type: array
                  items:
                    type: object
                    properties:
                      ID:
                        type: integer
                        format: int32
                        description: Int4
                      IOBJNM:
                        type: string
                        maxLength: 30
                        description: InfoObject
                      VALUE:
                        type: string
                        maxLength: 60
                        description: 'Dim: Field for a User-Defined Characteristic Value'
                      UNIT:
                        type: string
                        maxLength: 5
                        description: 'BW data manager: Currency/unit'
                I_T_RANGE:
                  type: array
                  items:
                    type: object
                    properties:
                      CHANM:
                        type: string
                        maxLength: 30
                        description: Characteristic
                      SIGN:
                        type: string
                        maxLength: 1
                        description: SIGN field in creation of SELECT-OPTIONS tables
                      COMPOP:
                        type: string
                        maxLength: 2
                        description: Comparison Operator (Enhancement RSZ_OPERATOR)
                      LOW:
                        type: string
                        maxLength: 60
                        description: 'Dim: Field for a User-Defined Characteristic Value'
                      HIGH:
                        type: string
                        maxLength: 60
                        description: 'Dim: Field for a User-Defined Characteristic Value'
                I_T_REQUID:
                  type: array
                  items:
                    type: object
                    properties:
                      OPT:
                        type: string
                        maxLength: 2
                        description: Operator in Select Options and other Expressions
                      REQLOW:
                        type: integer
                        format: int32
                        description: Master data ID
                      REQHIGH:
                        type: integer
                        format: int32
                        description: Master data ID
                I_T_RTIME:
                  type: array
                  items:
                    type: object
                    properties:
                      INTTYP:
                        type: string
                        maxLength: 1
                        description: Type of interval
                      LOW:
                        type: string
                        maxLength: 60
                        description: 'Dim: Field for a User-Defined Characteristic Value'
                      HIGH:
                        type: string
                        maxLength: 60
                        description: 'Dim: Field for a User-Defined Characteristic Value'
                I_T_SFC:
                  type: array
                  items:
                    type: object
                    properties:
                      CHANM:
                        type: string
                        maxLength: 30
                        description: Characteristic
                      CHAALIAS:
                        type: string
                        maxLength: 18
                        description: BW-DM field alias (cannot be longer than 18)
                      ORDERBY:
                        type: integer
                        format: int32
                        description: Desired Sort Sequence of Data
                I_T_SFK:
                  type: array
                  items:
                    type: object
                    properties:
                      KYFNM:
                        type: string
                        maxLength: 30
                        description: Key figure
                      KYFALIAS:
                        type: string
                        maxLength: 18
                        description: BW-DM field alias (cannot be longer than 18)
                      AGGR:
                        type: string
                        maxLength: 3
                        description: Usual aggregation
                I_T_TABLESEL:
                  type: array
                  items:
                    type: object
                    properties:
                      CHANM:
                        type: string
                        maxLength: 30
                        description: Characteristic
                      TABLNM:
                        type: string
                        maxLength: 30
                        description: Table Name
                      FIELDNM:
                        type: string
                        maxLength: 30
                        description: Field name
              required:
              - I_INFOPROV
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  E_AGGREGATE:
                    type: string
                    maxLength: 30
                  E_END_OF_DATA:
                    type: string
                    maxLength: 1
                  E_RFCDATA_UC:
                    type: string
                    format: byte
                  E_SPLIT_OCCURRED:
                    type: string
                    maxLength: 1
                  E_T_FIELD:
                    type: array
                    items:
                      type: object
                      properties:
                        FIELDPOS:
                          type: integer
                          format: int32
                          description: 'DM API: Position'
                        FIELDNAME:
                          type: string
                          maxLength: 30
                          description: 'DM API: Table column / field name'
                        FIELDTYPE:
                          type: string
                          maxLength: 1
                          description: 'DM API: Field data type'
                        FIELDLENGTH:
                          type: integer
                          format: int32
                          description: 'DM API: Field length'
                  E_T_RFCDATA:
                    type: array
                    items:
                      type: object
                      properties:
                        CONT:
                          type: string
                          maxLength: 1
                          description: 'Data element for domain BOOLE: TRUE (=''X'') and FALSE (='' '')'
                        LINE:
                          type: string
                          maxLength: 255
                          description: Char255
                  E_T_RFCDATAV:
                    type: array
                    items:
                      type: object
                      properties:
                        ID:
                          type: integer
                          format: int32
                          description: Int4
                        IOBJNM:
                          type: string
                          maxLength: 30
                          description: InfoObject
                        VALUE:
                          type: string
                          maxLength: 60
                          description: 'Dim: Field for a User-Defined Characteristic Value'
                        UNIT:
                          type: string
                          maxLength: 5
                          description: 'BW data manager: Currency/unit'
                  I_T_RANGE:
                    type: array
                    items:
                      type: object
                      properties:
                        CHANM:
                          type: string
                          maxLength: 30
                          description: Characteristic
                        SIGN:
                          type: string
                          maxLength: 1
                          description: SIGN field in creation of SELECT-OPTIONS tables
                        COMPOP:
                          type: string
                          maxLength: 2
                          description: Comparison Operator (Enhancement RSZ_OPERATOR)
                        LOW:
                          type: string
                          maxLength: 60
                          description: 'Dim: Field for a User-Defined Characteristic Value'
                        HIGH:
                          type: string
                          maxLength: 60
                          description: 'Dim: Field for a User-Defined Characteristic Value'
                  I_T_REQUID:
                    type: array
                    items:
                      type: object
                      properties:
                        OPT:
                          type: string
                          maxLength: 2
                          description: Operator in Select Options and other Expressions
                        REQLOW:
                          type: integer
                          format: int32
                          description: Master data ID
                        REQHIGH:
                          type: integer
                          format: int32
                          description: Master data ID
                  I_T_RTIME:
                    type: array
                    items:
                      type: object
                      properties:
                        INTTYP:
                          type: string
                          maxLength: 1
                          description: Type of interval
                        LOW:
                          type: string
                          maxLength: 60
                          description: 'Dim: Field for a User-Defined Characteristic Value'
                        HIGH:
                          type: string
                          maxLength: 60
                          description: 'Dim: Field for a User-Defined Characteristic Value'
                  I_T_SFC:
                    type: array
                    items:
                      type: object
                      properties:
                        CHANM:
                          type: string
                          maxLength: 30
                          description: Characteristic
                        CHAALIAS:
                          type: string
                          maxLength: 18
                          description: BW-DM field alias (cannot be longer than 18)
                        ORDERBY:
                          type: integer
                          format: int32
                          description: Desired Sort Sequence of Data
                  I_T_SFK:
                    type: array
                    items:
                      type: object
                      properties:
                        KYFNM:
                          type: string
                          maxLength: 30
                          description: Key figure
                        KYFALIAS:
                          type: string
                          maxLength: 18
                          description: BW-DM field alias (cannot be longer than 18)
                        AGGR:
                          type: string
                          maxLength: 3
                          description: Usual aggregation
                  I_T_TABLESEL:
                    type: array
                    items:
                      type: object
                      properties:
                        CHANM:
                          type: string
                          maxLength: 30
                          description: Characteristic
                        TABLNM:
                          type: string
                          maxLength: 30
                          description: Table Name
                        FIELDNM:
                          type: string
                          maxLength: 30
                          description: Field name
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
